DSRA(3)

PACKAGE
dsra - Routines to read an ASCII data structure from an open channel

PURPOSE
These routines are meant to provide a mechanism to read the recursive, heirarchical data structure supported in Karma from open channels, in ASCII format. The use of these routines is NOT recommended. The <-dsxfr-> routines are the preferred means of transferring data structures.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

dsra_multi_desc
    Read ASCII representation of a multi_array data structure.

dsra_packet_desc
    Read ASCII representation of a packet descriptor.

dsra_element_desc
    Read ASCII representation of an element descriptor.

dsra_array_desc
    Read ASCII representation of an array descriptor.

dsra_dim_desc
    Read ASCII representation of a dimension descriptor.

dsra_multi_data
    READ ASCII representation of data in a multi_array descriptor.

dsra_packet
    Read ASCII representation of a data packet.

dsra_element
    Read ASCII representation of an element.

dsra_array
    Read ASCII representation of an array of data packets.

dsra_list
    Read ASCII represention of a linked list.

dsra_flag
    Read ASCII representation of a boolean value.

dsra_type
    Read ASCII representation of a data type.

dsra_uint
    Read the ASCII representation of an unsigned integer.

dsra_int
    Read the ASCII representation of a signed integer.

dsra_float
    Read the ASCII representation of a floating point value.

dsra_double
    Read ASCII representation of a double floating point value.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/